summaryrefslogtreecommitdiff
path: root/source4/lib
diff options
context:
space:
mode:
Diffstat (limited to 'source4/lib')
-rwxr-xr-xsource4/lib/ldb/autogen.sh2
-rwxr-xr-xsource4/lib/tdb/autogen.sh7
-rw-r--r--source4/lib/tdb/tdb.pc.in10
3 files changed, 18 insertions, 1 deletions
diff --git a/source4/lib/ldb/autogen.sh b/source4/lib/ldb/autogen.sh
index cdd7fd2e04..94148edf69 100755
--- a/source4/lib/ldb/autogen.sh
+++ b/source4/lib/ldb/autogen.sh
@@ -1,6 +1,6 @@
#!/bin/sh
-(autoheader && autoconf) || exit 1
+autoconf || exit 1
echo "Now run ./configure and then make."
exit 0
diff --git a/source4/lib/tdb/autogen.sh b/source4/lib/tdb/autogen.sh
new file mode 100755
index 0000000000..94148edf69
--- /dev/null
+++ b/source4/lib/tdb/autogen.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+autoconf || exit 1
+
+echo "Now run ./configure and then make."
+exit 0
+
diff --git a/source4/lib/tdb/tdb.pc.in b/source4/lib/tdb/tdb.pc.in
new file mode 100644
index 0000000000..0d54afe242
--- /dev/null
+++ b/source4/lib/tdb/tdb.pc.in
@@ -0,0 +1,10 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: tdb
+Description: A trivial database
+Version: 4.0
+#Libs: @LIBS@ -L${libdir} -ltdb
+Cflags: -I${includedir} @CFLAGS@